English Amiga Board Amiga Lore


Go Back   English Amiga Board > Support > support.Apps

 
 
Thread Tools
Old 03 November 2010, 15:22   #1
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
AmigaOS 3.9 BB ROM Update Error & Ram-Handler Not Updating 44.24

Hi All,

I have just installed a clean version of AmigaOS 3.9 booting from the Emergency Disk. I am having some issues with the BB updates.

Below are the following steps I took to do the BB updates:

*Installed BB1 and rebooted
*Installed BB2 and rebooted
*Changed my setpatch line in the startup-sequence to read "SetPatch NOROMUPDATE"
*Installed BB3 and modified the LoadModule and SetPatch lines as instructed.
*Rebooted

Everything boots up fine and appears normal EXCEPT:

When I type "version AmigaOS ROM Update" in the shell, I get "bad number". Is this normal?

Also, my Ram-Handler version is still 44.23. I thought BB3 updated this to 44.24?

Any ideas?

Regards,
ed...
crazyegg is offline  
AdSense AdSense  
Old 03 November 2010, 17:12   #2
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by crazyegg View Post
Hi All,

I have just installed a clean version of AmigaOS 3.9 booting from the Emergency Disk. I am having some issues with the BB updates.

Below are the following steps I took to do the BB updates:

*Installed BB1 and rebooted
*Installed BB2 and rebooted
*Changed my setpatch line in the startup-sequence to read "SetPatch NOROMUPDATE"
*Installed BB3 and modified the LoadModule and SetPatch lines as instructed.
*Rebooted

Everything boots up fine and appears normal EXCEPT:

When I type "version AmigaOS ROM Update" in the shell, I get "bad number". Is this normal?

Also, my Ram-Handler version is still 44.23. I thought BB3 updated this to 44.24?

Any ideas?

Regards,
ed...
You dont setpatch NOROMUPDATE.
You setpatch skiprommodules, it explains while installing BB3 / BB4.

Basically, what you doing at the moment, is skipping all rom updates and not even loading the updated modules from BB1 or BB2.
BB3 tells you to do it in the startup-sequence by replacing setpatch line with something like this example;

LoadModule DEVS:scsi.device NOREBOOT
SetPatch SKIPROMMODULES scsi.device QUIET

My A4000T one used to look like this;
C:LoadModule L:FastFileSystem L:Ram-Handler L:Shell-Seg LIBS:icon.library L:CacheCDFS NOREBOOT
C:SetPatch SKIPROMMODULES filesystem,ram-handler,shell,icon.library,CacheCDFS QUIET

Last edited by FOL; 03 November 2010 at 17:22.
FOL is offline  
Old 03 November 2010, 21:03   #3
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
Hi,

Thanks for your reply! I have tried SKIPROMMODULES too without success...

The main problem that I am having is that Ram-Handler is not loaded to the newest 44.24 version.

I have installed BB1 and BB2 successfully. After BB3 is installed, everything boots up good except that Ram-Handler is still 44.23 and not the expected 44.24 version.

Question: I may be missing somehting here but do I have to do anything manually perhaps for Ram-Handler to make it install 44.24?

Regards,
ed...
crazyegg is offline  
Old 03 November 2010, 21:29   #4
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by crazyegg View Post
Hi,

Thanks for your reply! I have tried SKIPROMMODULES too without success...

The main problem that I am having is that Ram-Handler is not loaded to the newest 44.24 version.

I have installed BB1 and BB2 successfully. After BB3 is installed, everything boots up good except that Ram-Handler is still 44.23 and not the expected 44.24 version.

Question: I may be missing somehting here but do I have to do anything manually perhaps for Ram-Handler to make it install 44.24?

Regards,
ed...
Still sounds like you aint edited the startup-sequence right.
Boing Ball 3, expects you to manually add the exact lines it tells you, before it finishes installing.
Im guessing you skipped this bit and thought NOROMUPDATE or SKIPROMMODULES would make it work.


Post your startup-sequence
FOL is offline  
Old 04 November 2010, 00:43   #5
Minuous
Coder/webmaster/gamer
Minuous's Avatar
 
Join Date: Oct 2001
Location: Canberra/Australia
Posts: 1,644
>When I type "version AmigaOS ROM Update" in the shell, I get "bad number". Is this normal?

You need quotes like this:

version "AmigaOS ROM Update"
Minuous is offline  
Old 04 November 2010, 05:23   #6
Cosmos
Banned
 
Join Date: Jan 2007
Location: France
Posts: 655
>I have installed BB1 and BB2 successfully. After BB3 is installed, everything boots up good except that Ram-Handler is still 44.23 and not the expected 44.24 version

Install AmigaOS ROM Update v44.60a (in the Z)

And what is your Amiga model & accelerator card ?
Cosmos is offline  
Old 04 November 2010, 10:57   #7
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by Cosmos View Post
>I have installed BB1 and BB2 successfully. After BB3 is installed, everything boots up good except that Ram-Handler is still 44.23 and not the expected 44.24 version

Install AmigaOS ROM Update v44.60a (in the Z)

And what is your Amiga model & accelerator card ?
Think we need to see his startup-sequence first, as he is randomly disabling ROM UPDATE.

Lets get that sorted, then worry about your improved ROM UPDATE.
Throwing to much in will get confusing.
FOL is offline  
Old 05 November 2010, 02:06   #8
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
Hi All,

Thank you all for your help in this matter.

Anyways, attached is my bootscreen with the QUIET option turned off. For some reason, it appears that the AmigaOS ROM 44.57 loaded 3 times?

Also attached is a printout of a shell screen showing that the AmigaOS ROM is indeed 44.57 and that the RAM-Handler is only 44.23 (and not the newer 44.24 from BB3).

Finally is attachment showing my startup-sequence. Any ideas as to why the RAM-Handler is not showing 44.24?

PS: Iforgot to add that I am running this on WinUAE with a A1200 3.1 ROM.

Thanks again!

Regards,
ed..
Attached Thumbnails
Click image for larger version

Name:	Amiga39Boot.jpg
Views:	372
Size:	81.6 KB
ID:	26889   Click image for larger version

Name:	Amiga Versions.jpg
Views:	347
Size:	18.5 KB
ID:	26890   Click image for larger version

Name:	Amiga SS.jpg
Views:	555
Size:	69.9 KB
ID:	26891  
crazyegg is offline  
Old 05 November 2010, 03:08   #9
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by crazyegg View Post
Hi All,

Thank you all for your help in this matter.

Anyways, attached is my bootscreen with the QUIET option turned off. For some reason, it appears that the AmigaOS ROM 44.57 loaded 3 times?

Also attached is a printout of a shell screen showing that the AmigaOS ROM is indeed 44.57 and that the RAM-Handler is only 44.23 (and not the newer 44.24 from BB3).

Finally is attachment showing my startup-sequence. Any ideas as to why the RAM-Handler is not showing 44.24?

PS: Iforgot to add that I am running this on WinUAE with a A1200 3.1 ROM.

Thanks again!

Regards,
ed..
You have the same problem I had.
Mine didnt like me shortening the names.

Change fs to filesystem, ram to ram-handler, workbench to workbench.library and icon to icon.library (In the skiprommodules line).
It should work fine then.
FOL is offline  
Old 05 November 2010, 03:38   #10
Minuous
Coder/webmaster/gamer
Minuous's Avatar
 
Join Date: Oct 2001
Location: Canberra/Australia
Posts: 1,644
OK, I've ascertained the problem.
SetPatch 44.38 has a bug whereby it doesn't accept "ram" as a synonym of "ram-handler". Therefore, just change "ram" to "ram-handler" in the SetPatch line and it should work fine.
I will make a BB3 V1.0f which will have this change incorporated.
Minuous is offline  
Old 05 November 2010, 11:02   #11
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by Minuous View Post
OK, I've ascertained the problem.
SetPatch 44.38 has a bug whereby it doesn't accept "ram" as a synonym of "ram-handler". Therefore, just change "ram" to "ram-handler" in the SetPatch line and it should work fine.
I will make a BB3 V1.0f which will have this change incorporated.
I found this about a year ago, but thought it was just me, lol.

Great to know it was'nt me, .
FOL is offline  
Old 08 November 2010, 04:19   #12
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
Hi All,

Thank you both for all your kind help.

I am still having problems. Very weird.

I have changed the line to read ram-handler. However, the version that gets loaded now is version 39.4! This I think is the default version?

PS: I am running setpatch version 44.39 Do you think I might have to downgrade to 44.38 to get this thing working with ram-handler?

Regards,
ed..
crazyegg is offline  
Old 08 November 2010, 06:13   #13
Minuous
Coder/webmaster/gamer
Minuous's Avatar
 
Join Date: Oct 2001
Location: Canberra/Australia
Posts: 1,644
>PS: I am running setpatch version 44.39 Do you think I might have to downgrade to 44.38 to get this thing working with ram-handler?

Yes.
Minuous is offline  
Old 09 November 2010, 04:35   #14
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
Hi,

I switched the setpatch back to 44.38 and the ram-handler is still showing the oldest 39.4 version...

However, when I remove the "ram-handler" mention from the setpatch SKIPROMMODULES line in the startup-sequence, the ram-handler version 44.23 gets loaded.

But I want ram-handler 44.24 to get loaded....

Hmmmm....does that mean that the AmigaRomOS Update on my Amiga (with BB3) only contains the ram-handler 44.23 and not the 44.24? Weird........I even tried reinstalling from scratch and same results...AGHHH...

Regards,
ed...
crazyegg is offline  
Old 09 November 2010, 10:45   #15
Minuous
Coder/webmaster/gamer
Minuous's Avatar
 
Join Date: Oct 2001
Location: Canberra/Australia
Posts: 1,644
Quote:
Originally Posted by crazyegg View Post
Hmmmm....does that mean that the AmigaRomOS Update on my Amiga (with BB3) only contains the ram-handler 44.23 and not the 44.24?
Yes. There is no new AmigaOS ROM Update for BB3 nor BB4. The patches are accomplished via LoadModule. What I'm confused about is why LoadModule doesn't load Ram-Handler 44.24 for you, because it does here.
Minuous is offline  
Old 09 November 2010, 16:49   #16
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by crazyegg View Post
Hi,

I switched the setpatch back to 44.38 and the ram-handler is still showing the oldest 39.4 version...

However, when I remove the "ram-handler" mention from the setpatch SKIPROMMODULES line in the startup-sequence, the ram-handler version 44.23 gets loaded.

But I want ram-handler 44.24 to get loaded....

Hmmmm....does that mean that the AmigaRomOS Update on my Amiga (with BB3) only contains the ram-handler 44.23 and not the 44.24? Weird........I even tried reinstalling from scratch and same results...AGHHH...

Regards,
ed...
Look where ram-handler is placed, do a version on it. See what it says.
FOL is offline  
Old 09 November 2010, 18:50   #17
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
Hi All,

When I do "version ram-handler" when inside the L: I get 44.23.

FYI, I have removed the ram handler argument from the setpatch line in the startup. So, it appears that the BB2 ram-handler 44.23 is being loaded from the ROM (which means that my AmigaOSROM Update file is OK).

When I put the ram-handler argument back in setpatch line in the startup, the ram-handler that gets loaded is the original 39.4 version.

Thus, summing the above two findings would lead to the conclusion that the BB3 update is not copying the new ram-handler file correctly into the L: directory?

Is that weird? I have tried several redownloads of this BB3 and numerous clean installs on WinVICE without success. Any guesses? ;-)

Regards,
ed...
crazyegg is offline  
Old 09 November 2010, 20:52   #18
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by crazyegg View Post
Hi All,

When I do "version ram-handler" when inside the L: I get 44.23.

FYI, I have removed the ram handler argument from the setpatch line in the startup. So, it appears that the BB2 ram-handler 44.23 is being loaded from the ROM (which means that my AmigaOSROM Update file is OK).

When I put the ram-handler argument back in setpatch line in the startup, the ram-handler that gets loaded is the original 39.4 version.

Thus, summing the above two findings would lead to the conclusion that the BB3 update is not copying the new ram-handler file correctly into the L: directory?

Is that weird? I have tried several redownloads of this BB3 and numerous clean installs on WinVICE without success. Any guesses? ;-)

Regards,
ed...
No, do version L:ram-handler.
Doing version Ram handler, tells you version of resident handler.

From what your describing your not even loading the new ram-handler.
FOL is offline  
Old 09 November 2010, 21:13   #19
crazyegg
Registered User
crazyegg's Avatar
 
Join Date: Mar 2008
Location: Canada
Posts: 122
Hi FOL,

You are correct! Using version L:Ram-Handler yields the desired version of 44.24.

However, the version that is resident in memory is only 44.23.

With the SetPatch QUIET switch turned off, the startup screen shows something along the lines of:
"Install ROM Update Ram-Handler 44.23"

and then, after the reboot:
"ROM updates installed by SetPatch: Ram-Handler 44.43"

Any ideas?

Regards,
ed...
crazyegg is offline  
Old 09 November 2010, 22:26   #20
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 39
Posts: 5,570
Send a message via MSN to FOL Send a message via Skype™ to FOL
Quote:
Originally Posted by crazyegg View Post
Hi FOL,

You are correct! Using version L:Ram-Handler yields the desired version of 44.24.

However, the version that is resident in memory is only 44.23.

With the SetPatch QUIET switch turned off, the startup screen shows something along the lines of:
"Install ROM Update Ram-Handler 44.23"

and then, after the reboot:
"ROM updates installed by SetPatch: Ram-Handler 44.43"

Any ideas?

Regards,
ed...
Stop looking at the setpatch line.
Look at the LoadModule line.

Post your startup-sequence again
FOL is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
AmiCDrom v1.15 ( CDRom Handler Error HELP Plz ) iowtheme support.Hardware 5 25 March 2010 11:03
Amikit AmigaOS ROM Update Amigan Amiga scene 10 21 April 2008 22:30
AmigaOS 4.0 The Final Update available P-J News 43 22 January 2007 09:40
Poseidon V3.4 for AmigaOS UPDATE!!! keropi News 5 03 November 2006 09:56
Updating my Amiga's KICK rom? Kitty-chan Retrogaming General Discussion 4 04 February 2002 21:06

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 01:44.


Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Page generated in 0.26095 seconds with 12 queries